Skip to navigation

Continues refinement of product description and HTS code via questions and answers.

This endpoint facilitates the ongoing interactive process for refining a product description and determining its corresponding Harmonized Tariff Schedule (HTS) code.

After initiating a session with the initial product description using the /interactive endpoint, users can continue their interaction via this endpoint by providing answers to the questions returned from the previous interaction. Each interaction refines the product description further, helping the system to accurately identify the correct HTS code. The {sessionId} parameter uniquely identifies the user’s session and ensures that the interaction is continued seamlessly.

Authentication

AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"

Path parameters

sessionIdstringRequired
versionenumRequiredDefaults to v1
version
Allowed values:

Headers

transIdstringRequired<=32 characters
A 128 bit GUID.
transactionSrcstringRequired

Request

This endpoint expects an object.
questionslist of objectsRequired

Response headers

x-api-success-countinteger
UPS monetization header indicating the full completion of the API service. A value of 1 would indicate a completed transaction, while a value of 0 would be the default for uncomplete. A value of 1 should be present whenever the "noMoreQuestions" field is set to true.

Response

Successful Response
newProductDescriptionstring
An enhanced description generated for the product after processing product details.
sessionobject
An object representing the user's session, a series of questions and selected answers.
actualHtsstringOptional

The Harmonized Tariff Schedule (HTS) code representing the currently provided “newProductDescription”

suggestedHtsstringOptional

The API’s prediction for what the final Harmonized Tariff Schedule (HTS) code might be based on the current point of the session.

confidencedoubleOptional0-1

A value between 0.00 and 1.00 representing the APIs likeliness for a suggestedHts to be the final HTS code. A value of 1.00 can also be interpreted as 100% confidence.

noMoreQuestionsbooleanOptionalDefaults to false
This field will be marked as true when the API doesn't have any more questions to ask the user. In this case, the questions list will be empty and the most complete "actualHts" is provided.
questionslist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
415
Unsupported Media Type Error
422
Unprocessable Entity Error
500
Internal Server Error